StreamCharBuffer.MultiOutputWriter (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamCharBuffer.MultiOutputWriter

- org.grails.buffer.StreamCharBuffer.MultiOutputWriter

-     static final class StreamCharBuffer.MultiOutputWriter
      extends ConnectedWritersWriter

  delegates to several writers, used in "connectTo" mode.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.util.List<ConnectedWriter>` | `connectedWriters` |
    `java.lang.Boolean` | `encoderAware` |
    `java.util.List<java.io.Writer>` | `writers` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultiOutputWriter (java.util.List<ConnectedWriter> connectedWriters)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.io.Writer` | `append(java.lang.CharSequence csq, int start, int end)`
    `` | `public void` | `close()`
    `` | `public void` | `flush()`
    `` | `public void` | `forceFlush()`
    `` | `public boolean` | `isEncoderAware()`
    `` | `public void` | `write(char[] cbuf, int off, int len)`
    `` | `public void` | `write(java.lang.String str, int off, int len)`

- - ### Field Detail

    - #### final java.util.List<ConnectedWriter> connectedWriters

    - #### java.lang.Boolean encoderAware

    - #### final java.util.List<java.io.Writer> writers

  - ### Constructor Detail

    - #### public MultiOutputWriter(java.util.List<ConnectedWriter> connectedWriters)

  - ### Method Detail

    - #### @java.lang.Override public java.io.Writer append(java.lang.CharSequence csq, int start, int end)

    - #### @java.lang.Override public void close()

    - #### @java.lang.Override public void flush()

    - #### @java.lang.Override public void forceFlush()

    - #### @java.lang.Override public boolean isEncoderAware()

    - #### @java.lang.Override public void write(char[] cbuf, int off, int len)

    - #### @java.lang.Override public void write(java.lang.String str, int off, int len)